build_demo_1:
  stage: build
  extends: .build-next-template
  variables:
    IMAGE_NAME: ld1
    WORKDIR_PATH: ./lawfirm-demos/demo-1

docker_demo_1:
  stage: dockerize
  extends: .docker-build-template
  variables:
    IMAGE_NAME: ld1
    WORKDIR_PATH: ./lawfirm-demos/demo-1
    DOCKERFILE_PATH: Dockerfile
  needs:
    - job: build_demo_1
      artifacts: true

build_demo_2:
  stage: build
  extends: .build-next-template
  variables:
    IMAGE_NAME: ld1
    WORKDIR_PATH: ./lawfirm-demos/demo-2

docker_demo_2:
  stage: dockerize
  extends: .docker-build-template
  variables:
    IMAGE_NAME: ld2
    WORKDIR_PATH: ./lawfirm-demos/demo-2
    DOCKERFILE_PATH: Dockerfile
  needs:
    - job: build_demo_2
      artifacts: true

build_demo_3:
  stage: build
  extends: .build-next-template
  variables:
    IMAGE_NAME: tld1
    WORKDIR_PATH: ./lawfirm-demos/tax-lawfirm-demos/tax-lawfirm-demo-1

docker_demo_3:
  stage: dockerize
  extends: .docker-build-template
  variables:
    IMAGE_NAME: tld1
    WORKDIR_PATH: ./lawfirm-demos/tax-lawfirm-demos/tax-lawfirm-demo-1
    DOCKERFILE_PATH: Dockerfile
  needs:
    - job: build_demo_3
      artifacts: true